package org.fouram.enums;

import org.apache.commons.lang3.StringUtils;

public enum CardTypeEnum {

	ID("ResidentIdCard", 1, "中国"), HKID("HKID1", 3, "中国香港"), IDC("IDC", 4, "中国台湾");

	private final String code;
	private final Integer mycode;
	private final String desc;

	CardTypeEnum(String code, Integer mycode, String desc) {
		this.code = code;
		this.mycode = mycode;
		this.desc = desc;
	}

	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

	public Integer getMycode() {
		return mycode;
	}

	public static CardTypeEnum getEnum(String code) {
		if (StringUtils.isBlank(code)) {
			return null;
		}
		for (CardTypeEnum instance : values()) {
			if (instance.getCode() == code || instance.getCode().equals(code)) {
				return instance;
			}
		}
		return null;
	}
}